## com.sun.jersey.api
Class Responses

    java.lang.Object
      com.sun.jersey.api.Responses

    public class Responses

extends java.lang.Object

Common status codes and responses.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`static int` | `CLIENT_ERROR`
`static int` | `CONFLICT`
`static int` | `METHOD_NOT_ALLOWED`
`static int` | `NO_CONTENT`
`static int` | `NOT_ACCEPTABLE`
`static int` | `NOT_FOUND`
`static int` | `NOT_MODIFIED`
`static int` | `PRECONDITION_FAILED`
`static int` | `UNSUPPORTED_MEDIA_TYPE`

Constructor Summary
`Responses()`

Method Summary
`static Response.ResponseBuilder` | `clientError()`
`static Response.ResponseBuilder` | `conflict()`
`static Response.ResponseBuilder` | `methodNotAllowed()`
`static Response.ResponseBuilder` | `noContent()`
`static Response.ResponseBuilder` | `notAcceptable()`
`static Response.ResponseBuilder` | `notFound()`
`static Response.ResponseBuilder` | `notModified()`
`static Response.ResponseBuilder` | `preconditionFailed()`
`static Response.ResponseBuilder` | `unsupportedMediaType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_CONTENT

    public static final int NO_CONTENT

See Also:
  Constant Field Values

### NOT_MODIFIED

    public static final int NOT_MODIFIED

See Also:
  Constant Field Values

### CLIENT_ERROR

    public static final int CLIENT_ERROR

See Also:
  Constant Field Values

### NOT_FOUND

    public static final int NOT_FOUND

See Also:
  Constant Field Values

### METHOD_NOT_ALLOWED

    public static final int METHOD_NOT_ALLOWED

See Also:
  Constant Field Values

### NOT_ACCEPTABLE

    public static final int NOT_ACCEPTABLE

See Also:
  Constant Field Values

### CONFLICT

    public static final int CONFLICT

See Also:
  Constant Field Values

### PRECONDITION_FAILED

    public static final int PRECONDITION_FAILED

See Also:
  Constant Field Values

### UNSUPPORTED_MEDIA_TYPE

    public static final int UNSUPPORTED_MEDIA_TYPE

See Also:
  Constant Field Values

Constructor Detail

### Responses

    public Responses()

Method Detail

### noContent

    public static Response.ResponseBuilder noContent()

### notModified

    public static Response.ResponseBuilder notModified()

### clientError

    public static Response.ResponseBuilder clientError()

### notFound

    public static Response.ResponseBuilder notFound()

### methodNotAllowed

    public static Response.ResponseBuilder methodNotAllowed()

### notAcceptable

    public static Response.ResponseBuilder notAcceptable()

### conflict

    public static Response.ResponseBuilder conflict()

### preconditionFailed

    public static Response.ResponseBuilder preconditionFailed()

### unsupportedMediaType

    public static Response.ResponseBuilder unsupportedMediaType()

Copyright © 2017 Oracle Corporation. All Rights Reserved.